Main Page Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members File Members

# TAO_Notify_ConsumerAdmin_i Class Reference

`#include <Notify_ConsumerAdmin_i.h>`

Inheritance diagram for TAO_Notify_ConsumerAdmin_i

[legend]
Collaboration diagram for TAO_Notify_ConsumerAdmin_i:

[legend]
List of all members.

## Public Methods
| TAO_Notify_ConsumerAdmin_i (TAO_Notify_EventChannel_i* myChannel)
virtual | ~TAO_Notify_ConsumerAdmin_i (void)
virtual CORBA::ULong | _incr_refcnt (void)
virtual CORBA::ULong | _decr_refcnt (void)
virtual void | _add_ref (CORBA_Environment &ACE_TRY_ENV)
virtual void | _remove_ref (CORBA_Environment &ACE_TRY_ENV)
virtual void | dispatch_event (TAO_Notify_Event &event, CORBA::Environment &ACE_TRY_ENV)
virtual CORBA::Boolean | evaluate_filter (TAO_Notify_Event &event, CORBA::Boolean eval_parent, CORBA::Environment &ACE_TRY_ENV)
virtual void | shutdown (CORBA::Environment &ACE_TRY_ENV)
virtual TAO_Notify_Worker_Task* | event_dispatch_task (void)
virtual TAO_Notify_Worker_Task* | filter_eval_task (void)
void | init (CosNotifyChannelAdmin::AdminID myID, CosNotifyChannelAdmin::InterFilterGroupOperator myOperator, PortableServer::POA_ptr my_POA, CORBA::Environment &ACE_TRY_ENV)
CosNotifyChannelAdmin::ConsumerAdmin_ptr | get_ref (CORBA::Environment &ACE_TRY_ENV)
TAO_Notify_Event_Manager* | get_event_manager (void)
TAO_Notify_FilterAdmin_i& | get_filter_admin (void)
void | deactivate_proxy_pushsupplier (PortableServer::Servant servant, CORBA::Environment &ACE_TRY_ENV)
void | register_listener (TAO_Notify_EventListener *listener, CORBA::Environment &ACE_TRY_ENV)
void | unregister_listener (TAO_Notify_EventListener *listener, CORBA::Environment &ACE_TRY_ENV)
void | proxy_pushsupplier_destroyed (CosNotifyChannelAdmin::ProxyID proxyID)

## Constructor & Destructor Documentation

const char *get_rcsid_Notify_ TAO_Notify_ConsumerAdmin_i::TAO_Notify_ConsumerAdmin_i ( | TAO_Notify_EventChannel_i * event_channel )`[inline]`

TAO_Notify_ConsumerAdmin_i::~TAO_Notify_ConsumerAdmin_i ( | void )`[virtual]`

## Member Function Documentation

void TAO_Notify_ConsumerAdmin_i::_add_ref ( | CORBA_Environment & ACE_TRY_ENV )`[virtual]`

CORBA::ULong TAO_Notify_ConsumerAdmin_i::_decr_refcnt ( | void )`[virtual]`

| Reimplemented from TAO_Notify_RefCounted.

CORBA::ULong TAO_Notify_ConsumerAdmin_i::_incr_refcnt ( | void )`[virtual]`

| Reimplemented from TAO_Notify_RefCounted.

void TAO_Notify_ConsumerAdmin_i::_remove_ref ( | CORBA_Environment & ACE_TRY_ENV )`[virtual]`

void TAO_Notify_ConsumerAdmin_i::deactivate_proxy_pushsupplier ( | PortableServer::Servant servant,
| CORBA::Environment & ACE_TRY_ENV )

void TAO_Notify_ConsumerAdmin_i::dispatch_event ( | TAO_Notify_Event & event,
| CORBA::Environment & ACE_TRY_ENV )`[virtual]`

| Reimplemented from TAO_Notify_EventListener.

CORBA::Boolean TAO_Notify_ConsumerAdmin_i::evaluate_filter ( | TAO_Notify_Event & event,
| CORBA::Boolean eval_parent,
| CORBA::Environment & ACE_TRY_ENV )`[virtual]`

| Reimplemented from TAO_Notify_EventListener.

TAO_Notify_Worker_Task * TAO_Notify_ConsumerAdmin_i::event_dispatch_task ( | void )`[virtual]`

| Reimplemented from TAO_Notify_EventListener.

TAO_Notify_Worker_Task * TAO_Notify_ConsumerAdmin_i::filter_eval_task ( | void )`[virtual]`

| Reimplemented from TAO_Notify_EventListener.

TAO_Notify_Event_Manager * TAO_Notify_ConsumerAdmin_i::get_event_manager ( | void )

TAO_Notify_FilterAdmin_i & TAO_Notify_ConsumerAdmin_i::get_filter_admin ( | void )

CosNotifyChannelAdmin::ConsumerAdmin_ptr TAO_Notify_ConsumerAdmin_i::get_ref ( | CORBA::Environment & ACE_TRY_ENV )

void TAO_Notify_ConsumerAdmin_i::init ( | CosNotifyChannelAdmin::AdminID my_id,
| CosNotifyChannelAdmin::InterFilterGroupOperator filter_operator,
| PortableServer::POA_ptr my_POA,
| CORBA::Environment & ACE_TRY_ENV )

void TAO_Notify_ConsumerAdmin_i::proxy_pushsupplier_destroyed ( | CosNotifyChannelAdmin::ProxyID proxyID )

void TAO_Notify_ConsumerAdmin_i::register_listener ( | TAO_Notify_EventListener * listener,
| CORBA::Environment & ACE_TRY_ENV )

void TAO_Notify_ConsumerAdmin_i::shutdown ( | CORBA::Environment & ACE_TRY_ENV )`[virtual]`

| Reimplemented from TAO_Notify_EventListener.

void TAO_Notify_ConsumerAdmin_i::unregister_listener ( | TAO_Notify_EventListener * listener,
| CORBA::Environment & ACE_TRY_ENV )

The documentation for this class was generated from the following files:

- Notify_ConsumerAdmin_i.h
- Notify_ConsumerAdmin_i.cpp